If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Updating an existing event does not notify the attendees

RESOLVED DUPLICATE of bug 938459

Status

Calendar
E-mail based Scheduling (iTIP/iMIP)
--
critical
RESOLVED DUPLICATE of bug 938459
6 years ago
4 years ago

People

(Reporter: Hemant Mohan, Unassigned)

Tracking

Lightning 1.0
x86
Windows XP

Details

(Reporter)

Description

6 years ago
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0
Build ID: 20111109112850

Steps to reproduce:

I have Lightning 1.0 installed in Thunderbird 8.0.

1. Create a event with a list of invitees and save the event
2. Event is received by the invitees.
3. I modify the event (date  and time is shifted by one day). The Notify Invitees Check box is checked.



Actual results:

 - No notification is received by the invitees. My Sent Items also does not contain any update message
 - On Cancelling the event, notification is received  by the  invitees


Expected results:

- An update event notification should have been sent to all the invitees

The bug is reproducible on my system.
(Reporter)

Updated

6 years ago
Severity: normal → critical
OS: All → Windows XP
Priority: -- → P2
Hardware: All → x86
What type of calendar is this event in? Please enable calendar.debug.log and calendar.debug.log.verbose in the advanced config editor, repeat the modification and check for error console messages.
(Reporter)

Comment 2

6 years ago
The Calendar is a local calendar on my PC.  All the recipients also use their local calendars.
Ok, do you get any error console messages?
(Reporter)

Comment 4

6 years ago
Following is the Error Console output after calendar.debug.log and calebar.debug.log.verbose are enabled:
************************************************************ 

Warning: Use of getAttributeNode() is deprecated. Use getAttribute() instead.
Source File: chrome://calendar/content/calendar-event-dialog.xul
Line: 0

sendItems: Sending Email...

sendXpcomMail: Found USER autoResponse type.
This type is currently unsupported, the compose API will always enter a text/plain
or text/html part as first part of the message.
This will disable OL (up to 2003) to consume the mail as an iTIP invitation showing the usual calendar buttons.
***************************************************************
hmm strange. I guess there are no other errors? Could you check your "Outbox" folder in the Local Folders?
(Reporter)

Comment 6

6 years ago
Outbox is empty
(Reporter)

Comment 7

6 years ago
I get these messages on error console when I restarted Thunderbird:

============================

[calTimezoneService] using C:\Documents and Settings\hemant.mohan\Application Data\Thunderbird\Profiles\bratt6i0.default\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\timezones.sqlite

[calTimezoneService] timezones version: 1.2011b

Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: chrome://messenger/content/messenger.xul
Line: 0

Warning: XUL box for box element contained an inline #text child, forcing all its children to be wrapped in a block.
Source File: chrome://messenger/content/messenger.xul
Line: 0

Warning: XUL box for box element contained an inline #text child, forcing all its children to be wrapped in a block.
Source File: chrome://messenger/content/messenger.xul
Line: 0

Warning: Unknown property '-moz-background-clip'.  Declaration dropped.
Source File: http://start.thunderbrowse.com/
Line: 0

Warning: Unknown property '-moz-background-origin'.  Declaration dropped.
Source File: http://start.thunderbrowse.com/
Line: 0


pop.mycompany.com : server does not support RFC 5746, see CVE-2009-3555
===============================================
(Reporter)

Comment 8

6 years ago
Works on Opensuse 11.3 Linux.
Component: General → E-mail based Scheduling (iTIP/iMIP)
QA Contact: general → email-scheduling
Are you sure the preferences are the same? Could you check that the same email address is set in the calendar properties dialog on both machines?
(Reporter)

Comment 10

6 years ago
The email addresses and smtp servers are different on both the machines.  I am using Linux at home while I use Windows at work.

Let me know if there is some mechanism to enable detailed debug logs on both the machines.
Unfortunately there is no more detailed logging than the prefs already mentioned. I may have misunderstood the situation, it seemed to me you had the same setup on windows and linux and it seems to work on linux?
Priority: P2 → --

Comment 12

6 years ago
I can confirm that this is still a problem with Lightning 1.2.1 with Thunderbird 10.0.2 on WInXP SP3.

I can also confirm that this is not an issue with Lightning v0.9 and Thunderbird 2.0.0.24.

Comment 13

6 years ago
Hi,

I have the same problem on a lightning 1.2.1 with Thunderbird 10.0.2 on Windows 7 64bit.

With Kind Regards,
Chris

Comment 14

6 years ago
Same problem on Windows 7 64 bit / Thunderbird 10.0.2 / Lightning 1.2.1 using local (HOME) calendar. I expect Lightning to ask if I want to send updates to the invitees and to send them mail if I agree. Instead, there is no dialog to confirm sending updates, there are no updates sent (and nothing is stuck in my outbox).

Comment 15

6 years ago
Hi,

I can confirm that problem with same versions as Robert. However, notifications are sent when using a SoGo calendar, as it is SoGo that send notifications emails.

It is critical as we can miss events that was modified, critical enough to watch for alternatives...

Greg

Comment 16

6 years ago
Re Greg's comment 15, I confirm that I am speaking specifically of the calendars that are managed locally by lightning, not by third party services to which lightning might be interfaced. For example, I do use such a third party calendar and I expect that other party to handle sending out any invitations, updates, cancellations or whatever. I do not expect Lightning to duplicate that functionality.

-Robert

Comment 17

6 years ago
Confirming that this happens using the default "Home" calendar on Windows 7 (64bit) / Thunderbird 11.0.1 / Lightning 1.3 with no other add-ons installed.  

N.B. this only happens for me when the "Save and Close" button is pressed.  Three workarounds:
1. If I go to "File, Save" (or press the ctrl+s keyboard shortcut) it will display the Outlook Notifications dialog box and send updates as expected.  
2. If I hit the red "X" to close the window, it asks "Do you want to save the event?" and (when I press "Save") the event update is asked to be sent.  
3. If I drag the event to a different time from the main Calendar tab, I also ask to send the event update.

Comment 18

5 years ago
That CTRL-S does the trick with thunderbird 14 and lightning 1.6 I can help with logs if this is required.

Comment 19

5 years ago
I, too, am having this problem with Lightning 1.6 and TB 14.0.  This is a local calendar entry that used to work when created in Feb 2011 up to a few months ago.  It's a recurring entry (monthly, second Wed. of every month).

Comment 20

5 years ago
Hello,

mjohn's solution (workaround) works!

I just commented about this bug here:

https://bugzilla.mozilla.org/show_bug.cgi?id=744746#c7

And odd this is that this bug only happens on Windows, using Linux everything works as expected.

Comment 21

4 years ago
This bug is two years old and still present.

Comment 22

4 years ago
I can confirm this bug still exists in Linux and Windows environments.  It is only recently that I've become aware of this behavior.  This bug report describes very well what I am now seeing.  Here is the requested supporting data from the systems I use with my public URL and account ID information concealed:

Linux:
 - OpenSUSE 12.3 x64_86
 - Thunderbird 24.1.1
 - Lightning 2.6.3

Linux Error console Output:
--------------------------
Timestamp: 12/02/2013 05:05:29 PM
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32

In source code points to:
    let result = doc.evaluate(aExpr, aNode, resolver, resultType, null);


Timestamp: 12/02/2013 08:30:03 PM
Error: [Exception... "Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]"  nsresult: "0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame :: resource://gre/modules/XPCOMUtils.jsm :: XPCU_serviceLambda :: line 202"  data: no]
Source File: resource://gre/modules/XPCOMUtils.jsm
Line: 202

In source code points to:
  {
    this.defineLazyGetter(aObject, aName, function XPCU_serviceLambda() {
-->      return Cc[aContract].getService(Ci[aInterfaceName]);
    });
  },

and no time-stamp:
[JavaScript Warning: "There has been an error reading data for calendar: Me - OwnCloud.  However, this error is believed to be minor, so the program will attempt to continue. Error code: DAV_REPORT_ERROR. Description: There has been an error reading data for calendar: https://myserver.com/remote.php/caldav/calendars/myacct/defaultcalendar. It has been disabled until it is safe to use it."]
[JavaScript Warning: "There has been an error reading data for calendar: Me - OwnCloud.  However, this error is believed to be minor, so the program will attempt to continue. Error code: READ_FAILED. Description: "]


Windows 7
 - Microsoft Windows SP1 [Version 6.1.7601] Enterprise x64
 - Thunderbird 24.1.1
 - Lightning 2.6.3

Error console Output:
--------------------
Timestamp: 12/2/2013 8:52:24 PM
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32


Windows Vista SP2 [Version 6.0.6002] Ultimate x64
Has the same issues as Windows 7 above.


I can dig up Win2K, XP SP2, and XP SP3 as I have systems still running those OS's for development, but suspect for my efforts we'd find the same issues as 7 and Vista present.  My "Primary" system is OpenSUSE 12.[23] x64.

I use Lightning with OwnCloud 5.0.12 through CalDAV (if this matters).  This worked well.  I'll be switching to v6 soon to get Mobile interface support.

Comment 23

4 years ago
Under Linux I cleared the Thunderbird Error log and also observed "Sent Items" (my Outbox) using less, Thunderbird, and Alpine.  Nothing new shows in "Sent Items".  I tried adding another of my email accounts to the Event Invite list, again nothing shows in "Sent Items" and nothing is received in the new "Attendees (I):" Inbox.  The event "new start time" of 13:05 does show in Lightning and on the remote OwnCloud 5.0.12 Server connected to Lightning with CalDAV and viewed in Firefox.

Only one Error Log message shows when I modify the event (changed time from 13:00 -> 13:05):

Timestamp: 12/03/2013 12:03:01 AM
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32

If I leave Thunderbird Lightning alone then the same message shows 3x (same timestamp):
Timestamp: 12/03/2013 12:05:29 AM
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32

Then 4x at Timestamp: 12/03/2013 12:05:30 AM
Then 5x at Timestamp: 12/03/2013 12:05:31 AM

Then the log stops.

I think it is safe to conclude the modified event is properly saved.  The only thing which isn't happening is the checked "Notify attendees" (not disabled in any of my systems).  I also verified this behavior from pressing the "Save and Close" Button, the menu "Event" > "Save and Close" and the keyboard shortcut Ctrl+L.  I also tried all three ways to access "Save".

I just tried creating a NEW event and invited one of my other email accounts.  No invitation was sent, and no invitation received by email.  The NEW event does show in both Calendar systems.  When I deleted the NEW event using the Lightning interface I was prompted about sending a Notification with a checkbox for Outlook 2000 format selected.  I said yes, and in both "Sent Items" (my Outbox) and in my other mailbox I received an Event Canceled Notification.  The email mechanism is in place and functioning.  It just doesn't seem to work for sending new event or modify existing event Notifications.

Comment 24

4 years ago
Running Thunderbird 24.3.0 and Lightning 2.6.4 on Windows7.
Accepted an event from a remote party.  
A few days after accepting this event, I needed to modify it to reflect that I needed to move the time.
Modified the Reply: drop down from "I will attend" to "I will not attend".
Attempted to include a description of why I could not attend now, but the description box would not accept input.
Clicking the OK button did not send any messages out as I expected.

Users need the ability to modify all events, even those that they did not originate.  Any change to an event should generate a request to send a notification to all parties on the event.  The notification should also allow the user modifying the event the option to include an explanation of why the change is being made.

Updated

4 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 938459
You need to log in before you can comment on or make changes to this bug.